Broken apt dependency tree

I was upgrading Ubuntu 16.04 to 17.04, when some packaged failed to upgrade. This left the apt dependency in a broken state. I tried some other answers online, but I am afraid this only...